api = 2
core = 7.x

includes[cambridge_base] = "../cambridge_base.make"

; contrib

projects[admin_menu] = "3.0-rc7"
projects[admin_views] = "1.8"
projects[advanced_help] = "1.6"
projects[a11y] = "1.1"
projects[auto_entitylabel] = "1.4"
projects[backup_migrate] = "3.10"
projects[bean] = "1.13" 
projects[better_exposed_filters] = "3.6"
projects[better_formats] = "2.0"
projects[bigmenu] = "1.3"
projects[block_class] = "2.4"
projects[block_titlelink] = "1.5"
projects[bundle_copy] = "1.1"
projects[calendar] = "3.6"
projects[captcha] = "1.7"
projects[chosen] = "2.1"
projects[ckeditor] = "1.23"
projects[ckeditor][patch][] = "https://gitlab.developers.cam.ac.uk/uis/devops/webcms/drupal-modules/patches/-/raw/main/uis-ckeditor-module-drupaldotorg-3350359-8.patch"
libraries[ckeditor][download][type] = "file"
libraries[ckeditor][download][url] = "http://download.cksource.com/CKEditor/CKEditor/CKEditor%204.21.0/ckeditor_4.21.0_full.tar.gz"
projects[ckeditor_link] = "2.4"
projects[ckeditor_link][patch][] = "https://www.drupal.org/files/issues/2021-04-20/ckeditor_link-optional-parameter-3209681-2.patch"
projects[colorbox] = "2.17"
projects[conditional_fields] = "3.0-alpha2"
projects[context] = "3.12"
projects[crazyegg] = "1.2"
projects[css_injector] = "1.10"
projects[date] = "2.14"
#projects[date][patch][] = "https://www.drupal.org/files/issues/2022-04-14/date-n3272126-8.patch"
projects[default_menu_link] = "1.3"
projects[delta] = "3.0-beta11"
projects[devel] = "1.7"
projects[disable_messages] = "1.2"
projects[diff] = "3.4"
projects[disqus] = "1.12"
projects[ds] = "2.16"
projects[easy_breadcrumb] = "2.17"
projects[email] = "1.3"
projects[entity] = "1.10"
projects[entityreference] = "1.9"
projects[entityreference_prepopulate] = "1.8"
projects[environment_indicator][version] = "2.9"
projects[environment_indicator][patch][] = "http://www.drupal.org/files/issues/z-index-2331315-1.patch"
projects[eu_cookie_compliance] = "1.43"
projects[eva] = "1.4"
projects[exclude_node_title] = "1.9"
projects[expire][version] = "1.0-beta1"
projects[expire][patch][] = "http://cgit.drupalcode.org/expire/patch/?id=c0e37cc"
projects[facetapi] = "1.10"
projects[facetapi_pretty_paths] = "1.4"
projects[fancybox][version] = "2.0-beta6"
#projects[fancybox][patch][] = "https://gist.githubusercontent.com/thewilkybarkid/6550012/raw/23071cf776df3e61ba823f6c73bb788316778945/fancybox_jquery.patch"
libraries[fancybox][download][type] = "file"
libraries[fancybox][download][url] = "https://github.com/fancyapps/fancyBox/archive/v2.1.5.tar.gz"
projects[fast_token_browser] = "1.5"
projects[features_extra] = "1.0"
projects[features_extra][patch][] = "https://www.drupal.org/files/issues/2022-08-06/3256320-features_extra-php-8-compatibility-7.patch"
projects[feeds][version] = "2.0-beta6"
projects[feeds_entity_processor] = "1.x-dev"
projects[feeds_ex] = "1.0-rc2"
#projects[feeds_json_parser] = "1.2"
projects[feeds_tamper] = "1.2"
projects[feeds_tamper_php] = "1.2"
projects[feeds_xpathparser] = "1.1"
projects[feeds_xpathparser][patch][] = "https://www.drupal.org/files/issues/2022-11-07/feeds_xpathparser-3319597-libxml_disable_entity_loader_deprecated-php8.patch"
projects[fel] = "1.0-beta3"
projects[field_collection] = "1.2"
projects[field_collection_views] = "1.0-beta3"
projects[field_display_label] = "1.4"
projects[field_group] = "1.8"
projects[field_permissions] = "1.1"
projects[field_slideshow] = "1.83"
projects[field_validation] = "2.6"
projects[file_entity] = "2.39"
projects[file_resup] = "1.5"
projects[filefield_paths][version] = "1.2"
projects[fontawesome] = "3.13"
projects[filefield_sources] = "1.11"
projects[globalredirect] = "1.6"
projects[google_analytics] = "2.8"
projects[google_tag] = "2.1"
projects[hierarchical_select] = "3.0-beta9"
projects[hierarchical_select][patch][] = "https://www.drupal.org/files/issues/2022-04-29/hierarchical_select-php8.patch"
projects[honeypot] = "1.26"
projects[image_link_formatter] = "1.1"
projects[imageapi_optimize] = "1.3"
projects[imagecache_external] = "2.2"
projects[inline_entity_form] = "1.9"
projects[job_scheduler] = "2.0"
#projects[job_scheduler][patch][] = "https://www.drupal.org/files/issues/2023-03-28/job_scheduler_unserialize_null_deprecated.patch"
projects[js_injector] = "2.1"
projects[lightbox2] = "2.12"
projects[linkchecker] = "1.5"
projects[mailchimp] = "5.7"
projects[markup] = "1.3"
projects[masquerade] = "1.0-rc7"
projects[media] = "2.30"
projects[media_ckeditor] = "2.14"
projects[media_flickr] = "2.0-alpha5"
projects[media_soundcloud] = "1.0"
projects[media_vimeo] = "2.1"
projects[media_youtube] = "3.12"
projects[memcache] = "1.8"
projects[menu_admin_per_menu] = "1.1"
projects[menu_import] = "1.7"
projects[menu_position] = "1.2"
projects[menu_force] = "1.2"
projects[menu_trail_by_path] = "3.3"
projects[menu_trail_by_path][patch][] = "https://www.drupal.org/files/issues/2022-09-13/menu_trail_by_path-trying_to_access_array_offset_on_value_of_type_bool-3151154-7.patch"
projects[menu_view_unpublished] = "1.0-beta3"
projects[menu_view_unpublished][patch][] = "https://www.drupal.org/files/issues/2018-12-05/menu_view_unpublished-fix_conflict_menu_attributes-2414653-13.patch"
projects[metatag] = "1.32"
projects[migrate] = "2.12"
projects[migrate_extras] = "2.5"
projects[module_filter] = "2.3"
projects[module_missing_message_fixer] = "1.8"
projects[multiform] = "1.6" 
projects[multiselect] = "1.13"
projects[node_clone] = "1.0"
projects[node_export] = "3.3"
projects[nodequeue] = "2.5"
projects[oembed] = "1.0-rc2"
projects[oembed][patch][] = "https://www.drupal.org/files/issues/2020-12-17/oembed-update_youtube_provider_endpoint_to_use_https-3188850-2.patch"
projects[oembed][patch][] = "https://www.drupal.org/files/oembed-2021015-1.patch"
projects[og] = "2.11"
projects[og_extras] = "1.2"
projects[panels] = "3.12"
projects[paragraphs] = "1.0-rc5"
projects[paragraphs][patch][] = "https://www.drupal.org/files/issues/2018-11-26/paragraphs-count-php71-3010938-3.patch"
projects[paragraphs][patch][] = "https://www.drupal.org/files/issues/2018-03-08/deprecated_each-2951390-2.patch"
projects[pathologic] = "3.2"
projects[persistent_menu_items] = "1.0"
projects[print] = "2.4"
projects[publishcontent] = "1.4"
projects[queue_ui] = "2.0"
projects[rate] = "1.8"
projects[rate][patch][] = "https://www.drupal.org/files/issues/2021-02-03/3099838-8.rate_.PHP-74-compatibility-.patch"
projects[realname] = "1.3"
projects[realname][patch][] = "https://www.drupal.org/files/issues/realname-fix-user-view-warning-2782711-4-D7.patch"
projects[recaptcha] = "2.3"
projects[redirect][version] = "1.0-rc4"
projects[restws] = "2.10"
projects[role_delegation] = "1.3"
projects[rules] = "2.14"
projects[rules_onceperday] = "1.3"
projects[scanner] = "1.1"
projects[scheduler] = "1.7"
projects[schema_metatag] = "1.4"
projects[search_api] = "1.29"
projects[search_api_db] = "1.9"
projects[search_api_sorts] = "1.7"
projects[select_or_other] = "2.24"
projects[sharethis] = "2.14"
projects[shorthand] = "2.3"
projects[similarterms][version] = "2.6"
#projects[similarterms][patch][] = "http://www.drupal.org/files/0001-similarterm-options-were-not-being-saved-due-to-wron.patch"
projects[siteimprove] = "1.3"
projects[smart_trim][version] = "1.6"
projects[smart_trim][patch][] = "https://www.drupal.org/files/issues/2019-08-06/smart_trim_remove_punctuation_from_end_of_truncated_output-2169583-13.patch"
projects[smart_trim][patch][] = "https://git.drupalcode.org/project/smart_trim/-/commit/329e034e18c3d2aaf2558e98e848f1f7dc751d7c.patch"
projects[smtp] = "1.9"
projects[stringoverrides] = "1.9"
projects[strongarm] = "2.0"
projects[synonyms] = "1.6"
projects[synonyms][patch][] = "https://www.drupal.org/files/issues/2023-06-26/3338904-7.patch"
projects[tac_lite] = "1.2"
projects[taxonomy_access_fix] = "2.4"
projects[taxonomy_display] = "1.1"
projects[taxonomy_manager] = "1.3"
projects[taxonomy_menu] = "1.7"
projects[telephone] = "1.0-alpha1"
projects[termstatus] = "1.2"
projects[term_merge] = "1.4"
projects[toc_node] = "1.7"
projects[transliteration] = "3.3"
projects[twitter_block] = "2.3"
projects[user_import] = "3.2"
projects[uuid] = "1.3"
projects[varnish] = "1.10"
projects[view_unpublished] = "1.2"
projects[views_accordion] = "1.6"
projects[views_bulk_operations] = "3.7"
projects[views_data_export] = "3.3"
projects[views_field_view] = "1.2"
projects[views_menu_children_filter] = "1.0-rc3"
projects[views_responsive_grid] = "1.3"
projects[views_rss] = "2.0-rc4"
projects[views_tree] = "2.0"
projects[views_url_alias] = "1.0"
projects[vppr] = "1.0"
projects[webform] = "4.25"
projects[webform_country_list] = "1.6"
projects[webform_reply_to] = "2.0"
projects[webform_submissions_bulk_delete] = "1.2"
projects[workbench] = "1.2"
projects[workbench_access] = "1.6"
projects[workbench_access][patch][] = "https://www.drupal.org/files/issues/2022-11-30/workbench_access-3324664-uasort-2.patch"
projects[workbench_media] = "2.1"
projects[workbench_moderation][type] = "module"
projects[workbench_moderation][download][type] = "file"
projects[workbench_moderation][download][url] = "https://github.com/JeebsUK/drupal-workbench-moderation/archive/1.4.tar.gz"
projects[workbench_moderation][subdir] = "contrib"
projects[workbench_moderation][patch][] = "https://www.drupal.org/files/issues/2022-01-20/workbench_moderation-3259574-php-8.0-compatibility.patch"
projects[wysiwyg] = "2.10" 
projects[xmlsitemap] = "2.7"


; features

projects[body_field_definition][version] = "1.0"
projects[body_field_definition][patch][] = "http://www.drupal.org/files/issues/foreign-keys-2454593-1.patch"
projects[body_field_definition][subdir] = "features"

projects[cam_access_handling][type] = "module"
projects[cam_access_handling][download][type] = "file"
projects[cam_access_handling][download][url] = "https://github.com/misd-service-development/drupal-feature-access-handling/archive/7.x-1.0.tar.gz"
projects[cam_access_handling][subdir] = "features"

projects[cam_accordion][type] = "module"
projects[cam_accordion][version] = "1.3"
projects[cam_accordion][download][type] = "file"
projects[cam_accordion][download][url] = "https://gitlab.developers.cam.ac.uk/uis/webcms/drupal-modules/cam_accordion/-/archive/1.3/cam_accordion-1.3.tar.gz"
projects[cam_accordion][subdir] = "features"

projects[cam_tokens][type] = "module"
projects[cam_tokens][version] = "1.0"
projects[cam_tokens][download][type] = "file"
projects[cam_tokens][download][url] = "https://gitlab.developers.cam.ac.uk/uis/webcms/drupal-modules/cam_tokens/-/archive/1.0/cam_tokens-1.0.tar.gz"
projects[cam_tokens][subdir] = "custom"

projects[cambridge_download][type] = "module"
projects[cambridge_download][version] = "1.10"
projects[cambridge_download][download][type] = "file"
projects[cambridge_download][download][url] = "https://gitlab.developers.cam.ac.uk/uis/webcms/drupal-7-features/drupal-feature-download/-/archive/1.10/drupal-feature-download-1.10.tar.gz"
projects[cambridge_download][subdir] = "features"

projects[cambridge_events][type] = "module"
projects[cambridge_events][version] = "2.3"
projects[cambridge_events][download][type] = "file"
projects[cambridge_events][download][url] = "https://github.com/misd-service-development/drupal-feature-events/archive/2.3.tar.gz"
projects[cambridge_events][subdir] = "features"

projects[cambridge_jobs][type] = "module"
projects[cambridge_jobs][download][type] = "file"
projects[cambridge_jobs][download][url] = "https://github.com/misd-service-development/drupal-feature-jobs/archive/7.x-1.0.tar.gz"
projects[cambridge_jobs][subdir] = "features"

projects[cambridge_news][type] = "module"
projects[cambridge_news][download][type] = "file"
projects[cambridge_news][download][url] = "https://github.com/misd-service-development/drupal-feature-news/archive/7.x-2.2.tar.gz"
projects[cambridge_news][subdir] = "features"

projects[cambridge_related_links][type] = "module"
projects[cambridge_related_links][download][type] = "file"
projects[cambridge_related_links][download][url] = "https://github.com/misd-service-development/drupal-feature-related-links/archive/7.x-1.2.tar.gz"
projects[cambridge_related_links][subdir] = "features"

projects[cambridge_questions_and_answers][type] = "module"
projects[cambridge_questions_and_answers][download][type] = "file"
projects[cambridge_questions_and_answers][download][url] = "https://github.com/misd-service-development/drupal-feature-questions-and-answers/archive/7.x-1.3.tar.gz"
projects[cambridge_questions_and_answers][subdir] = "features"

projects[webform_date_format][type] = "module"
projects[webform_date_format][version] = "1.0"
projects[webform_date_format][download][type] = "file"
projects[webform_date_format][download][url] = "https://github.com/misd-service-development/drupal-feature-webform-date-format/archive/7.x-1.0.tar.gz"
projects[webform_date_format][subdir] = "features"
